Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166021 - NullPointerException at org.netbeans.modules.java.editor.codegen.DelegateMethodGenerator.invoke
NullPointerException at org.netbeans.modules.java.editor.codegen.DelegateMeth...
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 11:06 UTC by Oleg Khokhlov
Modified: 2009-07-15 12:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.22 KB, text/plain)
2009-05-26 11:06 UTC, Oleg Khokhlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Khokhlov 2009-05-26 11:06:23 UTC
Build: NetBeans IDE 6.7 RC1 (Build 200905232021)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments:
ovk: new maven app-> Alt-Ins ->add property ;
Alt-Ins->Delegate Method->unselect target fields on the left side and press generate;



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.java.editor.codegen.DelegateMethodGenerator.invoke(DelegateMethodGenerator.java:143)
        at org.netbeans.modules.editor.codegen.GenerateCodePanel.invokeSelected(GenerateCodePanel.java:159)
        at org.netbeans.modules.editor.codegen.GenerateCodePanel.listMouseReleased(GenerateCodePanel.java:122)
        at org.netbeans.modules.editor.codegen.GenerateCodePanel.access$200(GenerateCodePanel.java:60)
        at org.netbeans.modules.editor.codegen.GenerateCodePanel$3.mouseReleased(GenerateCodePanel.java:108)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:273)
Comment 1 Oleg Khokhlov 2009-05-26 11:06:35 UTC
Created attachment 82786 [details]
stacktrace
Comment 2 Max Sauer 2009-05-27 10:02:38 UTC
Fixed. Thanks for your report.
---
http://hg.netbeans.org/jet-main/rev/fa299252ca55
Comment 3 Quality Engineering 2009-05-28 08:44:58 UTC
Integrated into 'main-golden', will be available in build *200905280201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fa299252ca55
User: Max Sauer <msauer@netbeans.org>
Log: #166021: NPE at o.n.m.java.editor.codegen.DelegateMethodGenerator.invoke
Comment 4 Oleg Khokhlov 2009-05-29 13:17:55 UTC
v. in 20090529
Comment 5 pgebauer 2009-07-02 11:59:03 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/16156464b103
Comment 6 Oleg Khokhlov 2009-07-15 12:17:56 UTC
v. in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo